This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817792 - gnu-efi-3.0.6 is available
gnu-efi-3.0.6 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnu-efi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 06:20 EDT by Upstream Release Monitoring
Modified: 2017-06-20 20:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 3.0.2 (#817792) (933 bytes, text/x-diff)
2015-04-10 20:37 EDT, Upstream Release Monitoring
no flags Details
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.78 KB, patch)
2017-01-09 19:22 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.0.6 (#817792) (995 bytes, patch)
2017-06-20 20:16 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2012-05-01 06:20:58 EDT
Latest upstream release: 3.0q
Current version in Fedora Rawhide: 3.0e
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Finnbarr P. Murphy 2012-07-04 23:59:38 EDT
Unfortunately, even upgrading to version q is not really useful because it does not match UEFI 2.3.1.

For example, the following are missing from EFI_RUNTIME_SERVICES in <efiapi.h>

    EFI_UPDATE_CAPSULE
    EFI_QUERY_CAPSULE_CAPABILITIES
    EFI_QUERY_VARIABLE_INFO

and the following status codes are missing from <efierr.h>

    EFI_INCOMPATIBLE_VERSION
    EFI_SECURITY_VIOLATION 
    EFI_CRC_ERROR 
    EFI_END_OF_MEDIA
    EFI_END_OF_FILE
    EFI_INVALID_LANGUAGE
    EFI_COMPROMISED_DATA
Comment 2 Upstream Release Monitoring 2012-09-25 13:13:46 EDT
Latest upstream release: 3.0r
Current version in Fedora Rawhide: 3.0q
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2012-11-06 03:19:52 EST
Latest upstream release: 3.0s
Current version in Fedora Rawhide: 3.0q
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-02-22 04:29:40 EST
Latest upstream release: 3.0t
Current version in Fedora Rawhide: 3.0q
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2013-06-13 03:37:49 EDT
Latest upstream release: 3.0u
Current version/release in Fedora Rawhide: 3.0q-2.fc19
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2014-01-13 13:23:43 EST
Latest upstream release: 3.0v
Current version/release in Fedora Rawhide: 3.0u-0.2.fc20
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2014-08-12 03:29:11 EDT
Latest upstream release: 3.0w
Current version/release in Fedora Rawhide: 3.0u-0.3.fc21
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Upstream Release Monitoring 2015-01-06 07:30:59 EST
Latest upstream release: 3.0.1
Current version/release in Fedora Rawhide: 3.0w-2.fc22
URL: http://sourceforge.net/api/file/index/project-name/gnu-efi/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 9 Upstream Release Monitoring 2015-03-10 11:37:30 EDT
pjones's gnu-efi-3.0.1-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=619340
Comment 10 Upstream Release Monitoring 2015-04-10 20:37:02 EDT
Latest upstream release: 3.0.2
Current version/release in rawhide: 3.0.1-1.fc23
URL: http://sourceforge.net/projects/gnu-efi

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 11 Upstream Release Monitoring 2015-04-10 20:37:17 EDT
Created attachment 1013315 [details]
[patch] Update to 3.0.2 (#817792)
Comment 12 Upstream Release Monitoring 2015-04-10 20:38:26 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9460701
Comment 13 Upstream Release Monitoring 2015-05-13 14:43:27 EDT
pjones's gnu-efi-3.0.2-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=636718
Comment 14 Upstream Release Monitoring 2015-06-17 06:23:16 EDT
ausil's gnu-efi-3.0.2-2.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=650146
Comment 15 Upstream Release Monitoring 2015-08-23 23:27:35 EDT
Latest upstream release: 3.0.3
Current version/release in rawhide: 3.0.2-2.fc23
URL: http://sourceforge.net/projects/gnu-efi

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 16 Upstream Release Monitoring 2015-08-23 23:27:50 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-nVFHUf/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-nVFHUf/100.0%: No such file or directory
Comment 17 Upstream Release Monitoring 2016-02-22 15:36:29 EST
pjones's gnu-efi-3.0.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=738086
Comment 18 Upstream Release Monitoring 2016-02-23 10:10:01 EST
pjones's gnu-efi-3.0.3-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=738282
Comment 19 Upstream Release Monitoring 2016-02-23 10:39:08 EST
pjones's gnu-efi-3.0.3-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=738298
Comment 20 Upstream Release Monitoring 2016-03-17 20:17:00 EDT
Latest upstream release: 3.0.4
Current version/release in rawhide: 3.0.3-3.fc24
URL: http://sourceforge.net/projects/gnu-efi

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1202/
Comment 21 Upstream Release Monitoring 2016-03-17 20:17:17 EDT
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'
Comment 22 Upstream Release Monitoring 2016-03-17 20:17:36 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-Lp8diM/gnu-efi.spec
return code:  7
stdout:
Getting http://superb-dca2.dl.sourceforge.net/project/gnu-efi/gnu-efi-3.0.4.tar.bz2 to ./gnu-efi-3.0.4.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (7) Failed connect to superb-dca2.dl.sourceforge.net:80; Connection refused
Comment 23 Upstream Release Monitoring 2017-01-09 19:21:38 EST
Latest upstream release: 3.0.5
Current version/release in rawhide: 3.0.3-3.fc24
URL: http://sourceforge.net/projects/gnu-efi

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1202/
Comment 24 Upstream Release Monitoring 2017-01-09 19:22:13 EST
Patching or scratch build for gnu-efi-3.0.3 failed.
Comment 25 Upstream Release Monitoring 2017-01-09 19:22:15 EST
Created attachment 1238936 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 26 Upstream Release Monitoring 2017-01-09 19:22:17 EST
Patches were not touched. All were applied properly
Comment 27 Upstream Release Monitoring 2017-02-02 15:40:38 EST
pjones's gnu-efi-3.0.5-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=838052
Comment 28 Upstream Release Monitoring 2017-02-10 15:20:58 EST
releng's gnu-efi-3.0.5-4.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=843848
Comment 29 Upstream Release Monitoring 2017-02-28 12:02:05 EST
pjones's gnu-efi-3.0.5-5.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=862997
Comment 30 Upstream Release Monitoring 2017-03-13 14:42:42 EDT
pjones's gnu-efi-3.0.5-6.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=868351
Comment 31 Upstream Release Monitoring 2017-03-20 16:54:55 EDT
pjones's gnu-efi-3.0.5-7.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=870987
Comment 32 Upstream Release Monitoring 2017-06-13 16:43:49 EDT
pjones's gnu-efi-3.0.5-8.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=907771
Comment 33 Upstream Release Monitoring 2017-06-20 20:16:16 EDT
Latest upstream release: 3.0.6
Current version/release in rawhide: 3.0.5-8.fc27
URL: http://sourceforge.net/projects/gnu-efi

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1202/
Comment 34 Upstream Release Monitoring 2017-06-20 20:16:22 EDT
Created attachment 1289873 [details]
[patch] Update to 3.0.6 (#817792)
Comment 35 Upstream Release Monitoring 2017-06-20 20:19:50 EDT
hotness's scratch build of gnu-efi-3.0.6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20073886

Note You need to log in before you can comment on or make changes to this bug.